## boinc 7.0.27+dfsg

=== debian/changelog ===
boinc (7.0.27+dfsg-5ubuntu0.12.04.1) precise-proposed; urgency=low

  * Stable Release Update to fix multiple bugs:
    - fixes regression with Seti, Docking@Home and maybe others
      (LP: #1009536)
    - fixes crash when adding projects (LP: #1001168)
    - fixes file descriptor leak (LP: #968021)
  * debian/control: enable building of boinc-amd-opencl again (disabled in
    7.0.27+dfsg-4 for Debian specific reasons)

 -- Daniel Hahler <ubuntu@thequod.de>  Thu, 28 Jun 2012 01:17:04 +0200

boinc (7.0.27+dfsg-5) unstable; urgency=low

  * debian/rules: use dpkg-buildflags to get default flags.
  * debian/control: build-depend on dpkg-dev >= 1.16.1.1, because
    buildflags.mk and DEB_BUILD_MAINT_OPTIONS are needed.
  * debian/patches/add_hardening_flags.patch: pass CXXFLAGS, CPPFLAGS and
    LDFLAGS to hand-written Makefiles in samples/.

 -- Guo Yixuan <culu.gyx@gmail.com>  Mon, 25 Jun 2012 17:13:10 +0800

boinc (7.0.27+dfsg-4) unstable; urgency=low

  [ Steffen Moeller ]
  * Not building boinc-amd-opencl, for fglrx-driver is not in testing.
  * Adding hardening flags.
  * Addressed FTBFS on hurd (Closes: #672725)
  * debian/boinc-client.init: increasing priority of boinc client, change nice
    value from 19 to 10.

  [ Guo Yixuan ]
  * Add patch from Rom that fix the project category crash. (Closes: #641593)
  * debian/rules: fix to set sched/transitioner_catchup.php in
    boinc-server-maker executable.
  * Cherry-picking above commits from master to sid branch.
  * Add myself to uploaders.

 -- Guo Yixuan <culu.gyx@gmail.com>  Thu, 21 Jun 2012 22:54:52 +0800

boinc (7.0.27+dfsg-3) unstable; urgency=low

  * Now truly reconstituting compatibility with SETI
    (Closes: #672328, lp: #991179).
  * builds with gcc 4.7 (Closes: #671999)
    Thanks to Matthias Klose for his patch, had sadly only seen it after
    I patched it myself :o/  The NMU of his should not kick in because
    of the SETI incompatibility.

 -- Steffen Moeller <moeller@debian.org>  Thu, 10 May 2012 10:59:30 +0200

boinc (7.0.27+dfsg-2) unstable; urgency=low

  * Removed a couple of patches to help preventing crash in some
    scientific apps

 -- Steffen Moeller <moeller@debian.org>  Mon, 07 May 2012 23:39:30 +0200

boinc (7.0.27+dfsg-1) unstable; urgency=low

  * New upstream release
    - NVidia issue settled, presumably.
    - Some patches adopted by upstream.
 
 -- Steffen Moeller <moeller@debian.org>  Thu, 03 May 2012 15:01:42 +0200

boinc (7.0.26+dfsg-1) unstable; urgency=low

  * New upstream release
    - Comes with NVidia patches
    - Other incompatibilities with various projects fixed

 -- Steffen Moeller <moeller@debian.org>  Fri, 20 Apr 2012 11:43:15 +0200

boinc (7.0.25+dfsg-2) UNRELEASED; urgency=low

  * Added patch by Bernd Machenschalk to improve the uniqueness
    of clients when multiple instances are run.
  * Helping man page of stripchart.

 -- Steffen Moeller <moeller@debian.org>  Thu, 12 Apr 2012 14:04:52 +0200

boinc (7.0.25+dfsg-1) UNRELEASED; urgency=low

  [ Steffen ]
  * New upstream version (not yet with NVidia API improvements).

  [ Thorsten ]
  * Helping warnings in init scripts (Closes: #651278,#651303).
  * Fixing Python dir problem for boinc-server-maker (Closes: #657036)
  * Fixed warning for man page to stripchart.

 -- Steffen Moeller <moeller@debian.org>  Fri, 06 Apr 2012 12:15:30 +0200

boinc (7.0.24+dfsg-4) UNRELEASED; urgency=low

  * Improved support of NVidia cards - API incompatibility

 -- Steffen Moeller <moeller@debian.org>  Tue, 03 Apr 2012 19:52:07 +0200

boinc (7.0.24+dfsg-3) UNRELEASED; urgency=low

  * Support of clang through DEB_BUILD_OPTIONS 

 -- Steffen Moeller <moeller@debian.org>  Sat, 31 Mar 2012 23:24:24 +0200

boinc (7.0.24+dfsg-2) UNRELEASED; urgency=low

  * More adjustments of patches.

 -- Steffen Moeller <moeller@debian.org>  Sat, 31 Mar 2012 19:56:31 +0200

=== debian/control ===
Source: boinc
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, 
 Rene Mayorga <rmayorga@debian.org>,
 Daniel Hahler <ubuntu@thequod.de>,
 Guo Yixuan <culu.gyx@gmail.com>
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7.0.50~), po-debconf, dh-buildinfo, pkg-config (>= 0.15),
 dpkg-dev (>= 1.16.1.1),
 libtool, autoconf (>= 2.59), autotools-dev, automake1.9 (>= 1.9.3), gettext,
 docbook2x, docbook-xml, libxml2-utils,
 zlib1g-dev, libssl-dev, libcurl4-openssl-dev (>= 7.17.1),
 libsm-dev, libice-dev, libxmu-dev, libxi-dev, libx11-dev, libnotify-dev (>= 0.7.0),
 freeglut3-dev, libwxgtk2.8-dev, libgtk2.0-dev,
 libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg-dev,
 libxcb-util0-dev,
 libxss-dev
Homepage: http://boinc.berkeley.edu/
Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc.git
Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc.git


Package: boinc
Architecture: all
Depends: ${misc:Depends},
 boinc-client (>= ${binary:Version}), boinc-manager (>= ${binary:Version})
Description: metapackage for the BOINC client and the manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package depends both on the BOINC core client program that is
 required to participate in any project that uses BOINC, and the
 BOINC Manager, a graphical monitor and control utility for the
 BOINC core client.


Package: boinc-nvidia-cuda
Architecture: amd64 i386
Section: contrib/net
Depends: ${misc:Depends}, boinc, libcuda1|nvidia-current, libcuda1-ia32 [amd64]|nvidia-current [amd64], ia32-libs [amd64]|nvidia-current [amd64]
Description: metapackage for CUDA-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (rightously) often find it an unbearable nuissance to
 care for the exact configuration of BOINC for CUDA-savvy graphics
 cards. This package adds a series of dependencies from the non-free
 section to the regular boinc package. This also meant this binary
 package to be redistributed in the contrib section of Debian.

Package: boinc-amd-opencl
Architecture: amd64 i386
Section: contrib/net
Depends: ${misc:Depends}, boinc, fglrx-driver, amd-libopencl1
Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (rightously) often find it an unbearable nuissance to
 care for the configuration of BOINC for the OpenCL-savvy AMD/ATI
 graphics cards.  This package adds a series of dependencies from the
 non-free section to the regular boinc package. This also meant this
 binary package to be redistributed in the contrib section of Debian.
 .
 This package is not perfect, yet. A major problem for the moment
 is the availability of the OpenCL driver for 32bit binaries for
 amd64. If this is planned, install the amd-app package provided
 through the AMD developer forum.


Package: boinc-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.3),
 adduser,
 ca-certificates
Recommends: ia32-libs [amd64]
Suggests: boinc-app-seti, boinc-manager, x11-xserver-utils, libcuda1, libcuda1-ia32 [amd64]
Breaks: udev (<< 136-1)
Description: core client for the BOINC distributed computing infrastructure
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package contains the BOINC core client program that is required
 to participate in any project that uses BOINC. A central server
 distributes work units and collects results via this client. When
 attaching a local machine to a project, this client will also
 dynamically download the projects application's program to be then
 wrapped by the BOINC core client.


Package: boinc-manager
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: boinc-client, ia32-libs-gtk [amd64]
Suggests: libgl1-mesa-glx, libxt6
Description: GUI to control and monitor the BOINC core client
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains the BOINC Manager, a graphical monitor and
 control utility for the BOINC core client. It gives a detailed
 overview of the state of the client it is monitoring, for example it
 shows attached projects, running tasks or file transfers between the
 client and project servers. It also shows statistics about granted
 credits and disk usage of the client and the projects. The BOINC
 Manager has two modes of operation, the "Simple View" in which it only
 displays the most important information and the "Advanced View" in
 which all information and all control elements are available.
 .
 For active participation in any BOINC project the recommended
 boinc-client package, not the boinc-manager, is required for every
 machine contributing.


Package: boinc-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc6-dev | libc-dev,
 libstdc++6-4.3-dev | libstdc++-dev, libssl-dev, libmysqlclient-dev
Description: development files to build applications for BOINC projects
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains header files and static libraries that are
 needed to develop and compile applications which utilizes the BOINC
 infrastructure.


Package: boinc-server-maker
Architecture: any
Provides: boinc-server
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-support, python, python-mysqldb,
 mysql-server-5.0 | virtual-mysql-server, apache2 | httpd-cgi,
 php5, php5-cli, php5-mysql,
 tcsh, openssl (>= 0.9.8), adduser, libfcgi0ldbl
Recommends: libapache2-mod-php5, php5-gd, uuid-runtime,
 boinc-cgi-stripchart
Suggests: boinc-app-examples
Description: BOINC server applications and data files
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources. For every scientific problem its own distinct project-server
 must be provided. The users only run a common client with project-specific
 additions (if not self-compiled or available as a Linux distribution's
 package itself) being downloaded from the server.
 .
 This package contains the daemons and tools to create and run BOINC
 projects.


Package: boinc-app-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: boinc-server-maker
Description: example binaries for BOINC servers
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources. For every scientific problem its own distinct project-server
 must be provided. The users only run a common client with project-specific
 additions (if not self-compiled or available as a Linux distribution's
 package itself) being downloaded from the server.
 .
 This package extends the boinc-server-maker package. It features a
 series of small applications that a newly installed environment may
 decide to use for testing purposes. Having them separated has the neat
 side effect that thosee binaries may be retrieved more easily for foreign
 platforms to feed the local servers with.
 .
 The package also features the wrapper application, which is likely
 to find its audience also in real projects.


Package: boinc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: boinc-client (= ${binary:Version}) | boinc-manager (= ${binary:Version}), ${misc:Depends}
Suggests: libcurl3-dbg, libssl0.9.8-dbg, libwxgtk2.8-dbg
Description: debugging symbols for BOINC binaries
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains unstripped versions of all binaries included in
 the BOINC packages. It is provided primarily to provide a backtrace
 with names in a debugger, this makes it somewhat easier to interpret
 core dumps.


Package: boinc-cgi-stripchart
Section: libs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, gnuplot-nox, perl
Recommends: apache2|httpd-cgi
Description: CGI script for plotting basic statistical graphs
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 The BOINC developers have found their charting library to be of
 interest for a larger audience. It is isolated in the BOINC source
 tree and thus presented as a separate package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment the following lines to compile with gcc-snapshot.
#export  CC=/usr/lib/gcc-snapshot/bin/gcc
#export CXX=/usr/lib/gcc-snapshot/bin/g++
#export CPP=/usr/lib/gcc-snapshot/bin/cpp

# Set default flags with dpkg-buildflags
# -Wformat -Werror=format-security will need many fixes to avoid ftbfs,
# so it's disabled for now
export DEB_BUILD_MAINT_OPTIONS = hardening=-format,+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  TYPE_FLAGS = --build $(DEB_HOST_GNU_TYPE)
else
  TYPE_FLAGS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# On some architectures it is required to change the BOINC platform of the
# core client (with the --with-boinc-platform configure option) to match the
# official BOINC platform, otherwise it would not download any applications,
# because projects mostly provide applications for official BOINC platforms
# only. See http://boinc.berkeley.edu/trac/wiki/BoincPlatforms for the list
# of official BOINC platforms.
#
# The table of architectures known to dpkg-architecture are listed on
#  /usr/share/dpkg/archtable

# Change BOINC platform alpha-unknown-linux-gnu to alpha-hp-linux-gnu and
# declare alpha-unknown-linux-gnu as alternate platform, because some projects
# offer applications for it.
ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=alpha-hp-linux-gnu \
    --with-boinc-alt-platform=alpha-unknown-linux-gnu
endif

# Change BOINC platform i486-pc-linux-gnu to i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-linux-gnu
endif

# Change BOINC platform x86_64-linux-gnu to x86_64-pc-linux-gnu.
# Keeping the previous name temporarily.
# The 32bit variants shall allow the execution of 32 bit 
# executable in case the scientific application is no available
# for the complete bit size.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-linux-gnu
  # wrong previous name (since regular Debian name)
  TYPE_FLAGS += --with-boinc-alt-platform=x86_64-linux-gnu
  # if we did the following, the the ia32 libs would
  # need to become a dependency - which is not wanted by too many
  #TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-linux-gnu
endif

# Change BOINC platform i486-pc-kfreebsd-gnu to i686-pc-kfreebsd-gnu to be
# consistent with the official BOINC platform i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-kfreebsd-gnu
endif

# Declare i686-pc-kfreebsd-gnu as alternate platform for
# x86_64-pc-kfreebsd-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-kfreebsd-gnu
  TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-kfreebsd-gnu
endif

# Change BOINC platform ia64-unknown-linux-gnu to ia64-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), ia64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ia64-linux-gnu
endif

# Change BOINC platform powerpc-unknown-linux-gnu to powerpc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=powerpc-linux-gnu
endif

# Change BOINC platform powerpc64-unknown-linux-gnu to ppc64-linux-gnu and
# declare powerpc-linux-gnu as alternate platform.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ppc64-linux-gnu \
    --with-boinc-alt-platform=powerpc-linux-gnu
endif

# Change BOINC platform sparc-unknown-linux-gnu to sparc-sun-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), sparc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=sparc-sun-linux-gnu
endif

# Not touching BOINC platform for hurd for the very moment.
# Manually specify the MAXPATHLEN for GNU where this limit
# is not existing.
ifeq ($(DEB_HOST_GNU_TYPE), i486-gnu)
  # setting it to the regular limit for the other flavours of Debian
  CFLAGS += -DMAXPATHLEN=4096
  #TYPE_FLAGS += --with-boinc-platform=i686-pc-hurd-gnu
endif


CFLAGS += -Wall
CXXFLAGS += -Wall
LDFLAGS += -Wl,--as-needed
# hurd needs the following
LDFLAGS += -Wl,--no-add-needed


ifneq (,$(findstring clang,$(DEB_BUILD_OPTIONS)))
  export CXX=clang
endif

CFLAGS += $(DEB_OPT_FLAGS)
CXXFLAGS += $(DEB_OPT_FLAGS)

CFLAGS_boinc-client := $(CFLAGS)
CXXFLAGS_boinc-client := $(CXXFLAGS)

# --enable-debug
CFGFLAGS_boinc-client = \
  $(TYPE_FLAGS) \
  --prefix=/usr \
  --enable-client \
  --enable-server \
  --disable-fcgi \
  --enable-manager \
  --enable-libraries \
  --enable-unicode \
  --with-ssl \
  --with-x \
  CFLAGS="$(CFLAGS_boinc-client)" \
  CXXFLAGS="$(CXXFLAGS_boinc-client)" \
  LDFLAGS="$(LDFLAGS)"


# Default rule
%:
	dh $@ --parallel --with python2

clean:
	dh clean
	find . -name "Makefile" | grep -v samples | xargs -r rm
	rm -f configure
	rm -rf py/lib.linux-*-2.*
	rm -f override_dh_auto_install client_state.xml gui_rpc_auth.cfg

# Commands not to execute - empty overrides
override_dh_auto_test:


#test-stamp:
#	dh_testdir
#	xmllint --nonet --noout \
#	  debian/conffiles/cc_config.xml \
#	  debian/conffiles/global_prefs_override.xml
#	touch $@

override_dh_auto_configure:
	./_autosetup
	#if [ ! -r ltmain.sh ]; then libtoolize; fi
	#aclocal-1.9 -I m4 && autoheader && automake-1.9 --add-missing && autoconf
	@echo
	@echo "****             *****"
	@echo "**** Configuring *****"
	@echo "****             *****"
	@echo
	cp -f /usr/share/misc/config.guess config.guess
	cp -f /usr/share/misc/config.sub config.sub
	./configure $(CFGFLAGS_boinc-client)

update-boinc-applinks.1: debian/manpages/update-boinc-applinks.xml
	docbook2x-man debian/manpages/update-boinc-applinks.xml


samples/sleeper/sleeper: build-stamp samples/sleeper/sleeper.cpp
	$(MAKE) -C samples/sleeper
samples/worker/worker: build-stamp samples/worker/worker.cpp
	$(MAKE) -C samples/worker
samples/example_app/uc2: build-stamp samples/example_app/uc2.cpp
	$(MAKE) -C samples/example_app
samples/wrapper/wrapper: build-stamp samples/wrapper/wrapper.cpp
	$(MAKE) -C samples/wrapper

SAMPLES=samples/sleeper/sleeper samples/worker/worker samples/example_app/uc2 samples/wrapper/wrapper

build:	build-stamp $(SAMPLES)
build-stamp:
	dh build --parallel
	touch $@

override_dh_auto_build: update-boinc-applinks.1
	@echo
	@echo "****        *****"
	@echo "**** Making ****"
	@echo "****        *****"
	@echo
	$(MAKE)

	# Generate binary message catalogs of the BOINC Manager.
	if [ -d locale/client ]; then \
	  for i in `ls locale/client`; do \
	    if [ -f "locale/client/$$i/BOINC-Manager.po" ]; then \
	     msgfmt -o "locale/client/$$i/BOINC-Manager.mo" \
	      "locale/client/$$i/BOINC-Manager.po"; \
	    fi; \
	  done; \
	fi

BINARIES= sched/census sched/cgi sched/db_dump sched/db_purge \
	sched/delete_file sched/feeder sched/file_deleter \
	sched/file_upload_handler sched/get_file sched/make_work \
	sched/message_handler sched/request_file_list sched/sample_assimilator \
	sched/sample_bitwise_validator sched/sample_dummy_assimilator \
	sched/sample_trivial_validator sched/sample_work_generator \
	sched/sched_driver sched/send_file sched/show_shmem \
	sched/single_job_assimilator sched/transitioner sched/trickle_handler \
	sched/update_stats sched/wu_check \
	clientgui/boincmgr
BINARIES += samples/worker/worker samples/wrapper/wrapper samples/sleeper/sleeper \
	samples/nvcuda/cuda samples/example_app/example_app samples/vm_wrapper/vm_wrapper \
	samples/atiopencl/atiopencl

override_dh_auto_clean: 
	dh_auto_clean
	find . -name Makefile.in -o -name "*.a" -o -name "*.o" | xargs -r rm
	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp lib/crypt_prog
	rm -rf  py/build py/lib.linux-x86_64-2.6
	find . -name "*.pyc" | xargs -r rm
	find . -type d -a \( -name .deps -o -name .libs \) | xargs -r rm -r

## boinc 7.0.65%2bdfsg

=== debian/changelog ===
boinc (7.0.65+dfsg-3~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1181123)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 29 May 2013 19:20:55 +0200

boinc (7.0.65+dfsg-3) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Added lightdm to init script (lp: #1177433)
  * Removed the 5 sec sleep in init script.

  [ Guo Yixuan ]
  * Removed unused lintian override for boinc-manager.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 15 May 2013 17:33:13 +0200

boinc (7.0.65+dfsg-2) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Disabled checkin_notes in override_install_changelogs,
    not updated anymore by upstream.
  * Fixed a lintian warning.
  * Fixed boinc-amd-opencl depends on ubuntu (lp: #1176148).
  * Added project_specific_defines.h to usr/include/boinc
    (Closes: #707369, #707375)

  [ Rodrigo Silva ]
  * New debian/icons and refactor the icon size
    directories (lp: #1173622).
  * Improved manager launcher.
  * Fix typos in package descriptions. Thanks Pierre Slamich for spotting
    and Pascal De Vuyst for reporting! (Closes: #707989)

  [ Guo Yixuan ]
  * libboinc-app-dev dependency: use libstdc++6-4.7-dev as default
    libstdc++-dev,
  * boinc-server-maker dependency: use mysql-server-5.5 as default
    virtual-mysql-server, both thanks to Danilo.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 05 May 2013 11:41:37 +0200

boinc (7.0.65+dfsg-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release.
  * debian/control.in dropped version check
      - pkg-config (>= 0.15)             (version 0.25   in stable)
      - autoconf (>= 2.59)               (version 2.67   in stable)
      - automake1.9 (>= 1.9.3)           (version 1.9.6  in stable)
      - libcurl4-openssl-dev (>= 7.17.1) (version 7.21.0 in stable)
      - python (>= 2.3)                  (version 2.6.6  in stable)
      - Breaks: udev (<< 136-1)          (version 164    in stable)
      - removed boinc-app-seti from boinc-client Suggests field
      - Bumped debhelper required version to 8
    debian/compat
      - Bumped to version 8

  [ Steffen Moeller ]
  * Merged work on packaging of BOINC server code
  * boinc-cgi-stripchart package now built together with server parts

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 30 Apr 2013 21:45:44 +0200

boinc (7.0.60+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 02 Apr 2013 18:38:43 +0200

boinc (7.0.59+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
  * New debian/watch file for upstream git switch.
  * changing cc_client.xml permissions to boinc:boinc
    from root:boinc (lp: #1162596)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 28 Mar 2013 23:25:42 +0100

boinc (7.0.58+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
  * Fix arch detection in About dialog box.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 22 Mar 2013 17:47:31 +0100

boinc (7.0.56+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
    - Fix for man pages (lp: #1140560) (Thanks Christian Beer)
    - Fix for xml parsing issues.
    - Fix in work fetch.
    - Fix issue in Milkyway@Home (fixed in .55 release)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 13 Mar 2013 15:42:42 +0100

boinc (7.0.54+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
  * Dropped boincmgr_fix_long_pointers.patch accepted upstream.
  * New Patch disable_new_version_check.patch (lp: #1140597)
  * Dropped libssl0.9.8-dbg suggestion and added libssl1.0.0-dbg instead
    (Closes: #702741)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 07 Mar 2013 17:06:38 +0100

boinc (7.0.53+dfsg-1) UNRELEASED; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release.
  * Added boincmgr_fix_long_pointers.patch to fix boincmgr crash
    Thanks Alyssa Milburn (Closes: #679207)
  * Added sleep to boinc-client init script to workaround GPU
    detection issues (lp: #933354).
  * Bumped policy to 3.9.4. No changes required

  [ Guo Yixuan ]
  * Reverted the workaround for #679207.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 24 Feb 2013 23:05:30 +0100

boinc (7.0.52+dfsg-2) experimental; urgency=low

  * Try to fix ftbfs on hurd-i386.
  * Rebuild against libc6 2.13 (in sid).

 -- Guo Yixuan <culu.gyx@gmail.com>  Wed, 20 Feb 2013 16:16:45 +0800

boinc (7.0.52+dfsg-1) experimental; urgency=low

  * New upstream release, all platforms.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 14 Feb 2013 16:54:55 +0100

boinc (7.0.51+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 13 Feb 2013 22:15:44 +0100

boinc (7.0.50+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 09 Feb 2013 13:38:34 +0100

boinc (7.0.48+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 08 Feb 2013 15:42:50 +0100

boinc (7.0.47+dfsg-1) UNRELEASED; urgency=low

  * New upstream release, l10n updated.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 31 Jan 2013 22:09:35 +0100

boinc (7.0.46+dfsg-1) UNRELEASED; urgency=low

  * New upstream release
  * Fixed a FTBFS when building without zip library. (Closes: #699789)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 29 Jan 2013 23:46:33 +0100

boinc (7.0.45+dfsg-1) experimental; urgency=low

  * New upstream release
  * Removed boinc zip library from client builds.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 25 Jan 2013 00:01:24 +0100

boinc (7.0.44+dfsg-1) UNRELEASED; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release
  * Added libxext-dev and libxcb-dpms0-dev in order to address a long time


## boinc 7.0.65+dfsg

=== samples/condor/Makefile ===
all: boinc_gahp

boinc_gahp: boinc_gahp.cpp ../../lib/remote_submit.h ../../lib/remote_submit.cpp
	g++ -g -O0 -I../../lib \
	-o boinc_gahp boinc_gahp.cpp ../../lib/remote_submit.cpp \
	-L../../lib -lboinc -lpthread -lcurl

test: test.cpp ../../lib/remote_submit.cpp ../../lib/remote_submit.h
	g++ -g -o test -I../../lib \
	test.cpp ../../lib/remote_submit.cpp \
	-L../../lib -lboinc -lcurl

=== samples/example_app/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib
BOINC_ZIP_DIR = $(BOINC_DIR)/zip
FREETYPE_DIR = /usr/include/freetype2

CXXFLAGS = -g \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -DAPP_GRAPHICS \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -I$(BOINC_ZIP_DIR) \
    -I$(FREETYPE_DIR) \
    -L /usr/X11R6/lib \
    -L.

# to get the graphics app to compile you may need to install some packages
# e.g. ftgl-devel.x86_64
#
# You may have to change the paths for your system.

ifeq ($(wildcard /usr/local/lib/libglut.a),)
	LIBGLUT = /usr/local/lib/libglut.a
	LIBGLU = /usr/local/lib/libGLU.a
	LIBJPEG = /usr/local/lib/libjpeg.a
else
# NOTE: to make your app portable you'll need the static (.a) versions
# of libglut, libGLU, and libjpeg.
# You may have to build these from source.
	#LIBGLUT = /usr/lib64/libglut.a
	#LIBGLU = /usr/lib64/libGLU.a
	#LIBJPEG = /usr/lib64/libjpeg.a
	LIBGLUT = -lglut
	LIBGLU = -lGLU
	LIBJPEG = -ljpeg
endif

PROGS = uc2 \
# uc2_graphics
# make this optional so compile doesn't break on systems without OpenGL

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

ttfont.cpp:
	ln -s ../../api/ttfont.cpp .

clean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

install: uc2

# specify library paths explicitly (rather than -l)
# because otherwise you might get a version in /usr/lib etc.

uc2: uc2.o libstdc++.a $(BOINC_API_DIR)/libboinc_api.a $(BOINC_LIB_DIR)/libboinc.a
	$(CXX) $(CXXFLAGS) -o uc2 uc2.o libstdc++.a -pthread \
	$(BOINC_API_DIR)/libboinc_api.a \
	$(BOINC_LIB_DIR)/libboinc.a

uc2_graphics: uc2_graphics.o ttfont.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_graphics2.a
	$(CXX) $(CXXFLAGS) -o uc2_graphics uc2_graphics.o ttfont.o libstdc++.a -pthread \
	$(BOINC_API_DIR)/libboinc_graphics2.a \
	$(BOINC_API_DIR)/libboinc_api.a \
	$(BOINC_LIB_DIR)/libboinc.a \
    $(LIBGLUT) $(LIBGLU) $(LIBJPEG) \
    -lftgl -lGL -lX11 -lXmu -lm

slide_show: slide_show.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_graphics2.a
	$(CXX) $(CXXFLAGS) -o slide_show slide_show.o libstdc++.a -pthread \
	$(BOINC_API_DIR)/libboinc_graphics2.a \
	$(BOINC_API_DIR)/libboinc_api.a \
	$(BOINC_LIB_DIR)/libboinc.a \
	$(BOINC_ZIP_DIR)/libboinc_zip.a \
    $(LIBGLUT) $(LIBGLU) $(LIBJPEG) \
    -lGL -lX11 -lXmu -lm

=== samples/wrapper/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib
BOINC_ZIP_DIR = $(BOINC_DIR)/zip

CXXFLAGS = -g -O0 \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -I$(BOINC_ZIP_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L$(BOINC_ZIP_DIR) \
    -L.

PROGS = wrapper

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean:
	rm $(PROGS) *.o

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

REGEXP_OBJS = \
	regexp.o \
	regsub.o \
	regerror.o \
	regexp_memory.o \
	regexp_report.o

wrapper: wrapper.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a $(REGEXP_OBJS)
	g++ $(CXXFLAGS) -o wrapper wrapper.o $(REGEXP_OBJS) libstdc++.a -pthread -lboinc_api -lboinc -lboinc_zip

=== debian/changelog ===
boinc (7.0.65+dfsg-3~ubuntu13.04.1) raring-backports; urgency=low

  * No-change backport to raring (LP: #1181123)

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 17 May 2013 18:27:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 #export CPP=/usr/lib/gcc-snapshot/bin/cpp
 
 # Set default flags with dpkg-buildflags
-# -Wformat -Werror=format-security will need many fixes to avoid ftbfs,
-# so it's disabled for now
-export DEB_BUILD_MAINT_OPTIONS = hardening=-format,+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -105,6 +103,16 @@
   #TYPE_FLAGS += --with-boinc-platform=i686-pc-hurd-gnu
 endif
 
+GCCVERSION=$(shell gcc --version | tr " " "\n" | egrep '^[0-9]+\.[0-9]+\.[0-9]+$$' | cut -f1,2 -d.)
+# gcc 4.6 on precise has issues while gcc 4.7 on sid is just fine
+ifneq (4.6,$(GCCVERSION))
+ifneq (4.5,$(GCCVERSION))
+ifneq (4.4,$(GCCVERSION))
+  CFLAGS += -flto
+  LDFLAGS += -flto
+endif
+endif
+endif
 
 CFLAGS += -Wall
 CXXFLAGS += -Wall
@@ -123,37 +131,78 @@
 CFLAGS_boinc-client := $(CFLAGS)
 CXXFLAGS_boinc-client := $(CXXFLAGS)
 
-# --enable-debug
+ENABLE_SERVER_TEST := $(shell egrep '^Package:.*boinc-server-maker' debian/control.in)
+ENABLE_SERVER := --disable-server
+ifneq (,$(ENABLE_SERVER_TEST))
+ENABLE_SERVER := --enable-server
+TMP=$(shell sed -e 's/^%//' debian/control.in > debian/control)
+else
+TMP=$(shell egrep -v '^%' debian/control.in > debian/control)
+endif
+
+ENABLE_CLIENT_TEST := $(shell egrep '^Package:.*boinc$$' debian/control.in)
+ENABLE_CLIENT := --disable-client --disable-manager
+ifneq (,$(ENABLE_CLIENT_TEST))
+ENABLE_CLIENT := --enable-client --enable-manager --enable-dynamic-client-linkage
+TMP=$(shell sed -i 's/^@//' debian/control)
+else
+TMP=$(shell sed -i '/^@/d' debian/control)
+endif
+
+# --disable-static
+# For debugging, these options are useful:
+#   --enable-debug
+#   --enable-wx-debug (need to install libwxbase2.8-dbg and libwxgtk2.8-dbg)
 CFGFLAGS_boinc-client = \
   $(TYPE_FLAGS) \
   --prefix=/usr \
-  --enable-client \
-  --enable-server \
+  $(ENABLE_CLIENT) \
+  $(ENABLE_SERVER) \
   --disable-fcgi \
-  --enable-manager \
   --enable-libraries \
   --enable-unicode \
+  --enable-shared \
   --with-ssl \
   --with-x \
   CFLAGS="$(CFLAGS_boinc-client)" \
   CXXFLAGS="$(CXXFLAGS_boinc-client)" \
+  CPPFLAGS="$(CPPFLAGS)" \
   LDFLAGS="$(LDFLAGS)"
 
 
 # Default rule
+
 %:
+	if [ ! -f debian/control -o debian/control.in -nt debian/control ]; then \
+		echo "Generating debian/control file from debian/control.in" ; \
+		( \
+		if egrep -q '^Package:.*boinc-server-maker' debian/control.in; then \
+			sed -e 's/^%//' debian/control.in ; \
+		else \
+			egrep -v '^%' debian/control.in ; \
+		fi \
+		) | ( \
+		if egrep -q '^Package:.*boinc$$' debian/control.in; then \
+			sed -e 's/^@//' ; \
+		else \
+			sed -e '/^@/d' ; \
+		fi \
+		) > debian/control; \
+	fi
 	dh $@ --parallel --with python2
 
-clean:
-	dh clean
-	find . -name "Makefile" | grep -v samples | xargs -r rm
-	rm -f configure
-	rm -rf py/lib.linux-*-2.*
-	rm -f override_dh_auto_install client_state.xml gui_rpc_auth.cfg
+override_dh_clean:
+	dh_clean
+	rm -rf config.log
+	rm -rf clientscr/.libs override_dh_auto_install
+	rm -rf debian/boinc-app-examples debian/boinc-server-maker debian/boinc-app-examples.substvars debian/boinc-server-maker.substvars
+	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp
+	rm -fr debian/boinc-amd-opencl debian/boinc-screensaver # for cases when this is not in debian/control
+	rm -f debian/boinc-screensaver.substvars debian/boinc-amd-opencl.substvars # dito
+	rm -f debian/boinc-cgi-stripchart.substvars
 
 # Commands not to execute - empty overrides
 override_dh_auto_test:
-
 
 #test-stamp:
 #	dh_testdir
@@ -178,59 +227,14 @@
 update-boinc-applinks.1: debian/manpages/update-boinc-applinks.xml
 	docbook2x-man debian/manpages/update-boinc-applinks.xml
 
-
-samples/sleeper/sleeper: build-stamp samples/sleeper/sleeper.cpp
-	$(MAKE) -C samples/sleeper
-samples/worker/worker: build-stamp samples/worker/worker.cpp
-	$(MAKE) -C samples/worker
-samples/example_app/uc2: build-stamp samples/example_app/uc2.cpp
-	$(MAKE) -C samples/example_app
-samples/wrapper/wrapper: build-stamp samples/wrapper/wrapper.cpp
-	$(MAKE) -C samples/wrapper
-
-SAMPLES=samples/sleeper/sleeper samples/worker/worker samples/example_app/uc2 samples/wrapper/wrapper
-
-build:	build-stamp $(SAMPLES)
-build-stamp:
-	dh build --parallel
-	touch $@
+# noopt
+CFLAGS_noopt = $(subst -O2,-O0,$(CFLAGS))
+CXXFLAGS_noopt = $(subst -O2,-O0,$(CXXFLAGS))
+# noopt and no hardening
+CFLAGS_plain = -g -O0 -Wall
+CXXFLAGS_plain = $(CFLAGS_plain)
 
 override_dh_auto_build: update-boinc-applinks.1
 	@echo
 	@echo "****        *****"
 	@echo "**** Making ****"
-	@echo "****        *****"
-	@echo
-	$(MAKE)
-
-	# Generate binary message catalogs of the BOINC Manager.
-	if [ -d locale/client ]; then \
-	  for i in `ls locale/client`; do \
-	    if [ -f "locale/client/$$i/BOINC-Manager.po" ]; then \
-	     msgfmt -o "locale/client/$$i/BOINC-Manager.mo" \
-	      "locale/client/$$i/BOINC-Manager.po"; \
-	    fi; \
-	  done; \
-	fi
-
-BINARIES= sched/census sched/cgi sched/db_dump sched/db_purge \
-	sched/delete_file sched/feeder sched/file_deleter \
-	sched/file_upload_handler sched/get_file sched/make_work \
-	sched/message_handler sched/request_file_list sched/sample_assimilator \
-	sched/sample_bitwise_validator sched/sample_dummy_assimilator \
-	sched/sample_trivial_validator sched/sample_work_generator \
-	sched/sched_driver sched/send_file sched/show_shmem \
-	sched/single_job_assimilator sched/transitioner sched/trickle_handler \
-	sched/update_stats sched/wu_check \
-	clientgui/boincmgr
-BINARIES += samples/worker/worker samples/wrapper/wrapper samples/sleeper/sleeper \
-	samples/nvcuda/cuda samples/example_app/example_app samples/vm_wrapper/vm_wrapper \
-	samples/atiopencl/atiopencl
-
-override_dh_auto_clean: 
-	dh_auto_clean
-	find . -name Makefile.in -o -name "*.a" -o -name "*.o" | xargs -r rm
-	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp lib/crypt_prog
-	rm -rf  py/build py/lib.linux-x86_64-2.6
-	find . -name "*.pyc" | xargs -r rm
-	find . -type d -a \( -name .deps -o -name .libs \) | xargs -r rm -r

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://boinc.berkeley.edu/git/boinc-v2.git/refs/tags/client_release/7.0/(\d.*)
